
Foreman - Feature #777

"Audit log" should log Host/Class association changes

03/22/2011 07:05 PM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Audit Log   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've tested editing a Host, changed class assignment (add or remove a class for that host) and that is not seen in the "Audit log".

This audit info would be helpful.

Btw: The "Audit log" initial sort order doesn't seem logical. Now we have to click "changed at" twice to see the latest event.

Associated revisions

Revision 8a65dff7 - 07/12/2011 06:48 AM - Ohad Levy

fixes #777 - this enable auditing of when a host is changing its puppet class assignmetns

one limitation of this patch is that at the moment, each class change

gets its own audit record.

History

#1 - 05/12/2011 04:58 AM - Ohad Levy

- Target version deleted (0.3)

Audit log order has already been resolved, but in order to implement the auditing for class changes, we would need to change the db schema, i'm

pushing this one version forward as we want to release 0.3 soon.

#2 - 07/12/2011 06:33 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.4

#3 - 07/12/2011 07:19 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 8a65dff786359b268b4e5033790092e8c50f40cd.
